Actions

Should I update from Joomla! 2.5 to 3.x?

From Joomla! Documentation

Revision as of 08:00, 28 September 2012 by Tom Hutchison (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

In most cases, probably not. Joomla 2.5 will continue be supported until spring of 2014 and you can update directly to Joomla 3 once it’s tried-and-tested thoroughly by other users. You can even wait until Joomla 3.5 which will be released in a year from now and still get a direct upgrade. The only reason you should update is if you need Joomla 3’s features or want to be on the leading edge.